# Interface methods for submodule: VectorIndexSelectionCastImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: VectorIndexSelectionCastImageFilter
class VectorIndexSelectionCastImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	def SetIndex(self, i: int) -> None:
		""""""
		...

	def GetIndex(self) -> int:
		""""""
		...

